Version File Reference
`#include <osgUtil/Export>`

Go to the source code of this file.

## Macros

#define | OSGUTIL_VERSION 1

## Functions

OSGUTIL_EXPORT const char * | osgUtilGetVersion ()
OSGUTIL_EXPORT const char * | osgUtilGetLibraryName ()

## Macro Definition Documentation

## OSGUTIL_VERSION

#define OSGUTIL_VERSION 1

## Function Documentation

## osgUtilGetLibraryName()

OSGUTIL_EXPORT const char * osgUtilGetLibraryName | ( |  | ) |

extern

osgUtilGetLibraryName() returns the library name in human friendly form.

References OSGUTIL_EXPORT.

## osgUtilGetVersion()

OSGUTIL_EXPORT const char * osgUtilGetVersion | ( |  | ) |

extern

osgUtilGetVersion() returns the library version number. Numbering convention : OpenSceneGraph-1.0 will return 1.0 from osgUtilGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

    #
    # Check for the OpenSceneGraph (OSG) Util library
    #
    AC_CHECK_LIB(osg, osgUtilGetVersion, ,
       [AC_MSG_ERROR(OpenSceneGraph Util library not found. See http://www.openscenegraph.org)],)

References OSGUTIL_EXPORT.